# ncurses 5.9 - patch  - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 5.9 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 5.9 are in the subdirectory
# 	ftp://invisible-island.net/ncurses/5.9
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/5.9/ncurses-5.9-20140322.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sun Mar 23 00:28:32 UTC 2014
# ------------------------------------------------------------------------------
# NEWS                             |   10 +++-
# configure                        |   65 ++++++++++++++++++---------
# configure.in                     |   17 ++++++-
# dist.mk                          |    4 -
# include/curses.h.in              |   10 +++-
# misc/terminfo.src                |   86 +++++++++++++++++++++++++++++++++++--
# package/debian-mingw/changelog   |    4 -
# package/debian-mingw/rules       |    2 
# package/debian-mingw64/changelog |    4 -
# package/debian-mingw64/rules     |    2 
# package/debian/changelog         |    4 -
# package/debian/rules             |    2 
# package/mingw-ncurses.nsi        |    4 -
# package/mingw-ncurses.spec       |    2 
# package/ncurses.spec             |    4 +
# 15 files changed, 175 insertions(+), 45 deletions(-)
# ------------------------------------------------------------------------------
Index: NEWS
Prereq:  1.2180 
--- ncurses-5.9-20140315+/NEWS	2014-03-15 20:39:44.000000000 +0000
+++ ncurses-5.9-20140322/NEWS	2014-03-22 23:03:23.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.2180 2014/03/15 20:39:44 tom Exp $
+-- $Id: NEWS,v 1.2183 2014/03/22 23:03:23 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,14 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20140322
+	+ use types from <stdint.h> in sample build-scripts for chtype, etc.
+	+ modify configure script and curses.h.in to allow the types specified
+	  using --with-chtype and related options to be defined in <stdint.h>
+	+ add terminology entry -TD
+	+ add mlterm3 entry, use that as "mlterm" -TD
+	+ inherit mlterm-256color from mlterm -TD
+
 20140315
 	+ modify _nc_New_TopRow_and_CurrentItem() to ensure that the menu's
 	  top-row is adjusted as needed to ensure that the current item is
Index: configure
--- ncurses-5.9-20140315+/configure	2014-02-10 00:41:05.000000000 +0000
+++ ncurses-5.9-20140322/configure	2014-03-22 23:09:02.000000000 +0000
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Revision: 1.577 .
+# From configure.in Revision: 1.578 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by Autoconf 2.52.20121002.
 #
@@ -20937,6 +20937,12 @@
 	HAVE_TCGETATTR=0
 fi
 
+if test "x$ac_cv_header_stdint_h" = xyes ; then
+	HAVE_STDINT_H=1
+else
+	HAVE_STDINT_H=0
+fi
+
 if test "x$ac_cv_header_termio_h" = xyes ; then
 	HAVE_TERMIO_H=1
 else
@@ -20965,7 +20971,7 @@
 
 # Extract the first word of "tic", so it can be a program name with args.
 set dummy tic; ac_word=$2
-echo "$as_me:20968: checking for $ac_word" >&5
+echo "$as_me:20974: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_TIC_PATH+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -20982,7 +20988,7 @@
   test -z "$ac_dir" && ac_dir=.
   if $as_executable_p "$ac_dir/$ac_word"; then
    ac_cv_path_TIC_PATH="$ac_dir/$ac_word"
-   echo "$as_me:20985: found $ac_dir/$ac_word" >&5
+   echo "$as_me:20991: found $ac_dir/$ac_word" >&5
    break
 fi
 done
@@ -20994,10 +21000,10 @@
 TIC_PATH=$ac_cv_path_TIC_PATH
 
 if test -n "$TIC_PATH"; then
-  echo "$as_me:20997: result: $TIC_PATH" >&5
+  echo "$as_me:21003: result: $TIC_PATH" >&5
 echo "${ECHO_T}$TIC_PATH" >&6
 else
-  echo "$as_me:21000: result: no" >&5
+  echo "$as_me:21006: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -21005,7 +21011,7 @@
 then
 	if test "$TIC_PATH" = unknown
 	then
-		{ echo "$as_me:21008: WARNING: no tic program found for fallbacks" >&5
+		{ echo "$as_me:21014: WARNING: no tic program found for fallbacks" >&5
 echo "$as_me: WARNING: no tic program found for fallbacks" >&2;}
 	fi
 fi
@@ -21031,7 +21037,7 @@
 	*-D_XOPEN_SOURCE_EXTENDED*)
 		test -n "$verbose" && echo "	moving _XOPEN_SOURCE_EXTENDED to work around g++ problem" 1>&6
 
-echo "${as_me:-configure}:21034: testing moving _XOPEN_SOURCE_EXTENDED to work around g++ problem ..." 1>&5
+echo "${as_me:-configure}:21040: testing moving _XOPEN_SOURCE_EXTENDED to work around g++ problem ..." 1>&5
 
 		CFLAGS="$CFLAGS -D_XOPEN_SOURCE_EXTENDED"
 		CPPFLAGS=`echo "x$CPPFLAGS" | sed -e  's/^.//' -e 's/-D_XOPEN_SOURCE_EXTENDED//'`
@@ -21054,6 +21060,18 @@
 #define NCURSES_OSPEED_COMPAT $cf_compatible
 EOF
 
+case "x$cf_cv_typeof_chtype" in
+xshort|xint|xlong)
+	cf_cv_typeof_chtype="unsigned $cf_cv_typeof_chtype"
+	;;
+esac
+
+case "x$cf_cv_typeof_mmask_t" in
+xshort|xint|xlong)
+	cf_cv_typeof_mmask_t="unsigned $cf_cv_typeof_mmask_t"
+	;;
+esac
+
 SUB_SCRIPTS=
 
 ac_config_files="$ac_config_files include/MKterm.h.awk include/curses.head:include/curses.h.in include/ncurses_dll.h include/termcap.h include/unctrl.h $SUB_SCRIPTS $SUB_MAKEFILES Makefile"
@@ -21137,7 +21155,7 @@
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:21140: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:21158: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -21313,7 +21331,7 @@
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:21316: error: ambiguous option: $1
+    { { echo "$as_me:21334: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -21332,7 +21350,7 @@
     ac_need_defaults=false;;
 
   # This is an error.
-  -*) { { echo "$as_me:21335: error: unrecognized option: $1
+  -*) { { echo "$as_me:21353: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -21443,7 +21461,7 @@
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
   "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
   "include/ncurses_cfg.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/ncurses_cfg.h:include/ncurses_cfg.hin" ;;
-  *) { { echo "$as_me:21446: error: invalid argument: $ac_config_target" >&5
+  *) { { echo "$as_me:21464: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -21752,6 +21770,7 @@
 s,@DIRS_TO_MAKE@,$DIRS_TO_MAKE,;t t
 s,@NCURSES_SHLIB2@,$NCURSES_SHLIB2,;t t
 s,@HAVE_TCGETATTR@,$HAVE_TCGETATTR,;t t
+s,@HAVE_STDINT_H@,$HAVE_STDINT_H,;t t
 s,@HAVE_TERMIO_H@,$HAVE_TERMIO_H,;t t
 s,@HAVE_TERMIOS_H@,$HAVE_TERMIOS_H,;t t
 s,@MAKE_PC_FILES@,$MAKE_PC_FILES,;t t
@@ -21877,7 +21896,7 @@
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:21880: creating $ac_file" >&5
+    { echo "$as_me:21899: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -21895,7 +21914,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:21898: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:21917: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -21908,7 +21927,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:21911: error: cannot find input file: $f" >&5
+           { { echo "$as_me:21930: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -21924,7 +21943,7 @@
       if test -n "$ac_seen"; then
         ac_used=`grep '@datarootdir@' $ac_item`
         if test -z "$ac_used"; then
-          { echo "$as_me:21927: WARNING: datarootdir was used implicitly but not set:
+          { echo "$as_me:21946: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&2;}
@@ -21933,7 +21952,7 @@
       fi
       ac_seen=`grep '${datarootdir}' $ac_item`
       if test -n "$ac_seen"; then
-        { echo "$as_me:21936: WARNING: datarootdir was used explicitly but not set:
+        { echo "$as_me:21955: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&2;}
@@ -21970,7 +21989,7 @@
             ac_init=`egrep '[ 	]*'$ac_name'[ 	]*=' $ac_file`
             if test -z "$ac_init"; then
               ac_seen=`echo "$ac_seen" |sed -e 's,^,'$ac_file':,'`
-              { echo "$as_me:21973: WARNING: Variable $ac_name is used but was not set:
+              { echo "$as_me:21992: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&2;}
@@ -21981,7 +22000,7 @@
     egrep -n '@[A-Z_][A-Z_0-9]+@' $ac_file >>$tmp/out
     if test -s $tmp/out; then
       ac_seen=`sed -e 's,^,'$ac_file':,' < $tmp/out`
-      { echo "$as_me:21984: WARNING: Some variables may not be substituted:
+      { echo "$as_me:22003: WARNING: Some variables may not be substituted:
 $ac_seen" >&5
 echo "$as_me: WARNING: Some variables may not be substituted:
 $ac_seen" >&2;}
@@ -22030,7 +22049,7 @@
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:22033: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:22052: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -22041,7 +22060,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:22044: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:22063: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -22054,7 +22073,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:22057: error: cannot find input file: $f" >&5
+           { { echo "$as_me:22076: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -22112,7 +22131,7 @@
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:22115: $ac_file is unchanged" >&5
+      { echo "$as_me:22134: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
@@ -22415,7 +22434,7 @@
 				cygdll|msysdll|mingw) #(vi
 					test "x$with_shared_cxx" = xno && test -n "$verbose" && echo "	overriding CXX_MODEL to SHARED" 1>&6
 
-echo "${as_me:-configure}:22418: testing overriding CXX_MODEL to SHARED ..." 1>&5
+echo "${as_me:-configure}:22437: testing overriding CXX_MODEL to SHARED ..." 1>&5
 
 					with_shared_cxx=yes
 					;;
Index: configure.in
Prereq:  1.577 
--- ncurses-5.9-20140315+/configure.in	2013-12-15 00:03:02.000000000 +0000
+++ ncurses-5.9-20140322/configure.in	2014-03-22 22:58:09.000000000 +0000
@@ -28,14 +28,14 @@
 dnl
 dnl Author: Thomas E. Dickey 1995-on
 dnl
-dnl $Id: configure.in,v 1.577 2013/12/15 00:03:02 tom Exp $
+dnl $Id: configure.in,v 1.578 2014/03/22 22:58:09 tom Exp $
 dnl Process this file with autoconf to produce a configure script.
 dnl
 dnl See http://invisible-island.net/autoconf/ for additional information.
 dnl
 dnl ---------------------------------------------------------------------------
 AC_PREREQ(2.52.20030208)
-AC_REVISION($Revision: 1.577 $)
+AC_REVISION($Revision: 1.578 $)
 AC_INIT(ncurses/base/lib_initscr.c)
 AC_CONFIG_HEADER(include/ncurses_cfg.h:include/ncurses_cfg.hin)
 
@@ -1898,6 +1898,7 @@
 
 ### Define substitutions for header files to avoid name-pollution
 CF_SUBST_IF(["x$cf_cv_have_tcgetattr" = xyes], HAVE_TCGETATTR, 1, 0)
+CF_SUBST_IF(["x$ac_cv_header_stdint_h" = xyes], HAVE_STDINT_H, 1, 0)
 CF_SUBST_IF(["x$ac_cv_header_termio_h" = xyes], HAVE_TERMIO_H, 1, 0)
 CF_SUBST_IF(["x$ac_cv_header_termios_h" = xyes], HAVE_TERMIOS_H, 1, 0)
 
@@ -1972,6 +1973,18 @@
 esac
 AC_DEFINE_UNQUOTED(NCURSES_OSPEED_COMPAT,$cf_compatible,[Define to 1 if termcap variable ospeed is short])
 
+case "x$cf_cv_typeof_chtype" in
+xshort|xint|xlong)
+	cf_cv_typeof_chtype="unsigned $cf_cv_typeof_chtype"
+	;;
+esac
+
+case "x$cf_cv_typeof_mmask_t" in
+xshort|xint|xlong)
+	cf_cv_typeof_mmask_t="unsigned $cf_cv_typeof_mmask_t"
+	;;
+esac
+
 SUB_SCRIPTS=
 
 AC_OUTPUT( \
Index: dist.mk
Prereq:  1.976 
--- ncurses-5.9-20140315+/dist.mk	2014-03-15 16:53:42.000000000 +0000
+++ ncurses-5.9-20140322/dist.mk	2014-03-22 15:46:30.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.976 2014/03/15 16:53:42 tom Exp $
+# $Id: dist.mk,v 1.977 2014/03/22 15:46:30 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 5
 NCURSES_MINOR = 9
-NCURSES_PATCH = 20140315
+NCURSES_PATCH = 20140322
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: include/curses.h.in
Prereq:  1.238 
--- ncurses-5.9-20140315+/include/curses.h.in	2014-03-15 19:04:15.000000000 +0000
+++ ncurses-5.9-20140322/include/curses.h.in	2014-03-22 22:57:35.000000000 +0000
@@ -32,7 +32,7 @@
  *     and: Thomas E. Dickey                        1996-on                 *
  ****************************************************************************/
 
-/* $Id: curses.h.in,v 1.238 2014/03/15 19:04:15 tom Exp $ */
+/* $Id: curses.h.in,v 1.239 2014/03/22 22:57:35 tom Exp $ */
 
 #ifndef __NCURSES_H
 #define __NCURSES_H
@@ -59,6 +59,10 @@
  */
 #include <ncurses_dll.h>
 
+#if @HAVE_STDINT_H@
+#include <stdint.h>
+#endif
+
 /*
  * User-definable tweak to disable the include of <stdbool.h>.
  */
@@ -156,8 +160,8 @@
 typedef unsigned chtype;
 typedef unsigned mmask_t;
 #else
-typedef unsigned @cf_cv_typeof_chtype@ chtype;
-typedef unsigned @cf_cv_typeof_mmask_t@ mmask_t;
+typedef @cf_cv_typeof_chtype@ chtype;
+typedef @cf_cv_typeof_mmask_t@ mmask_t;
 #endif
 
 /*
Index: misc/terminfo.src
--- ncurses-5.9-20140315+/misc/terminfo.src	2014-02-22 21:03:37.000000000 +0000
+++ ncurses-5.9-20140322/misc/terminfo.src	2014-03-22 18:26:51.000000000 +0000
@@ -6,8 +6,8 @@
 # Report bugs and new terminal descriptions to
 #	bug-ncurses@gnu.org
 #
-#	$Revision: 1.484 $
-#	$Date: 2014/02/22 21:03:37 $
+#	$Revision: 1.486 $
+#	$Date: 2014/03/22 18:26:51 $
 #
 # The original header is preserved below for reference.  It is noted that there
 # is a "newer" version which differs in some cosmetic details (but actually
@@ -4752,6 +4752,19 @@
 	initc@, use=xterm+256color, use=konsole,
 
 #### MLTERM
+# http://mlterm.sourceforge.net/
+
+mlterm|multi lingual terminal emulator,
+	use=mlterm,
+
+# Tested mlterm 3.2.2:
+# mlterm 3.x has made changes, but they are not reflected in the included
+# mlterm.ti; this entry is based on testing with tack and vttest -TD
+mlterm3|multi lingual terminal emulator,
+	kf1=\E[11~, kf2=\E[12~, kf3=\E[13~, kf4=\E[14~,
+	use=xterm+app, use=xterm+pcf0, use=xterm+pcc2,
+	use=xterm+pce2, use=mlterm2,
+
 # This is mlterm 2.9.3's mlterm.ti, with some additions/corrections -TD
 #
 # It is nominally a vt102 emulator, with features borrowed from rxvt and
@@ -4771,7 +4784,7 @@
 #	control/alt		kf1 to kf12	\E[11;7~ to \E[24;7~
 #	control/shift/alt	kf1 to kf12	\E[11;8~ to \E[24;8~
 #
-mlterm|multi lingual terminal emulator,
+mlterm2|multi lingual terminal emulator,
 	am, eslok, km, mc5i, mir, msgr, npc, xenl, XT,
 	colors#8, cols#80, it#8, lines#24, pairs#64,
 	acsc=00``aaffgghhjjkkllmmnnooppqqrrssttuuvvwwxxyyzz{{||}}~~,
@@ -4815,7 +4828,7 @@
 	kUP4=\EO1;4A, kUP5=\EO1;5A, kUP6=\EO1;6A, kUP7=\EO1;7A,
 
 mlterm-256color|mlterm 3.0 with xterm 256-colors,
-	use=xterm+256color, use=rxvt,
+	use=xterm+256color, use=mlterm,
 
 #### RXVT
 # From: Thomas Dickey <dickey@clark.net> 04 Oct 1997
@@ -5438,6 +5451,66 @@
 	smso=\E[7m, smul=\E[4m, tbc=\E[3g, vpa=\E[%i%p1%dd,
 	use=xterm+sl-twm,
 
+#### TERMINOLOGY
+# http://enlightenment.org
+#
+# Tested terminology-0.3.0, using tack and vttest.  This is not a vt100
+# emulator, nor is it compatible with xterm, but it uses a few features from
+# both -TD
+#
+# General comments:
+#	cursor does not fill on focus
+#	there are pervasive problems with clearing/erasing parts of the screen
+#	resizing the window causes it to stop listening to the keyboard
+# tack -
+#	doesn't understand vt100 CPR needed for resize
+#	no CBT
+#	no cvvis
+#	has invis
+#	no blink
+#	uses bce model for colors, but (see below) fails the vttest screens
+#	has partial support for 256color feature.
+#	tack cursor-keys:
+#			ctrl+shift (ignored)
+#		2	shift
+#			shift-alt modifier -> shift (2)
+#		3	alt
+#		4
+#		5	ctrl
+#	tack modifiers do not work for fkeys
+#	ctrl + khome/kend works - none of the other modifiers do
+# vttest -
+#	spits lots of messages from termptyesc.c especially in vttest.
+#	no 132-column mode
+#	fails menu 1, 2 (definitely not vt100-compatible)
+#	primary and
+#	secondary report says (perhaps... vt420): \E[>41;285;0c
+#	CHA, HPR, VPA, CNL, CPL work
+#	BCE with ED/EL - fail
+#	BCE with ECH/indexing - fail
+#	SD/SU work
+#	unlike teken, background light/dark works
+#	can set title
+#	X10 and Normal mouse work
+#	Any-event mouse works
+#	Mouse button-event works
+terminology|EFL-based terminal emulator,
+	ccc@, mc5i@, xon@,
+	blink@, ed@, el@, el1@, initc@, invis=\E[8m, kLFT=\E[1;2D,
+	kRIT=\E[1;2C, kf10=\E[21~, kf11=\E[23~, kf12=\E[24~,
+	kf5=\E[15~, kf6=\E[17~, kf7=\E[18~, kf8=\E[19~, kf9=\E[20~,
+	kind=\E[1;2B, kri=\E[1;2A,
+	sgr=\E[0%?%p1%p6%|%t;1%;%?%p2%t;4%;%?%p1%p3%|%t;7%;%?%p7%t;8%;m%?%p9%t\016%e\017%;$<2>,
+	vpa=\E[%i%p1%dd, kDC3=\E[3;3~, kDC4=\E[3;4~,
+	kDC5=\E[3;5~, kDC6=\E[3;6~, kDC7=\E[3;7~, kDN=\E[1;2B,
+	kDN3=\E[1;3B, kDN4=\E[1;4B, kDN5=\E[1;5B, kDN6=\E[1;6B,
+	kDN7=\E[1;7B, kEND5=\E[1;5F, kHOM5=\E[1;5H,
+	kLFT3=\E[1;3D, kLFT4=\E[1;4D, kLFT5=\E[1;5D,
+	kLFT6=\E[1;6D, kLFT7=\E[1;7D, kRIT3=\E[1;3C,
+	kRIT4=\E[1;4C, kRIT5=\E[1;5C, kRIT6=\E[1;6C,
+	kRIT7=\E[1;7C, kUP=\E[1;2A, use=vt100,
+	use=xterm+256color,
+
 ######## UNIX VIRTUAL TERMINALS, VIRTUAL CONSOLES, AND TELNET CLIENTS
 #
 
@@ -23126,4 +23199,9 @@
 #	* add teken entry to show actual properties of FreeBSD's "xterm"
 #	  console -TD
 #
+# 2014-03-22
+#	* add terminology entry -TD
+#	* add mlterm3 entry, use that as "mlterm" -TD
+#	* inherit mlterm-256color from mlterm -TD
+#
 ######## SHANTIH!  SHANTIH!  SHANTIH!
Index: package/debian-mingw/changelog
--- ncurses-5.9-20140315+/package/debian-mingw/changelog	2014-03-15 16:53:42.000000000 +0000
+++ ncurses-5.9-20140322/package/debian-mingw/changelog	2014-03-22 15:46:30.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20140315) unstable; urgency=low
+ncurses6 (5.9-20140322) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 15 Mar 2014 12:53:42 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 22 Mar 2014 11:46:30 -0400
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw/rules
--- ncurses-5.9-20140315+/package/debian-mingw/rules	2013-10-12 21:06:11.000000000 +0000
+++ ncurses-5.9-20140322/package/debian-mingw/rules	2014-03-22 23:05:56.000000000 +0000
@@ -40,6 +40,8 @@
 	--enable-warnings \
 	--enable-widec \
 	--verbose \
+	--with-chtype=uint32_t \
+	--with-mmask_t=uint32_t \
 	--with-cxx-shared \
 	--with-develop \
 	--with-fallbacks=unknown,rxvt \
Index: package/debian-mingw64/changelog
--- ncurses-5.9-20140315+/package/debian-mingw64/changelog	2014-03-15 16:53:42.000000000 +0000
+++ ncurses-5.9-20140322/package/debian-mingw64/changelog	2014-03-22 15:46:30.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20140315) unstable; urgency=low
+ncurses6 (5.9-20140322) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 15 Mar 2014 12:53:42 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 22 Mar 2014 11:46:30 -0400
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw64/rules
--- ncurses-5.9-20140315+/package/debian-mingw64/rules	2013-10-12 20:59:27.000000000 +0000
+++ ncurses-5.9-20140322/package/debian-mingw64/rules	2014-03-22 23:05:56.000000000 +0000
@@ -40,6 +40,8 @@
 	--enable-warnings \
 	--enable-widec \
 	--verbose \
+	--with-chtype=uint32_t \
+	--with-mmask_t=uint32_t \
 	--with-cxx-shared \
 	--with-develop \
 	--with-fallbacks=unknown,rxvt \
Index: package/debian/changelog
--- ncurses-5.9-20140315+/package/debian/changelog	2014-03-15 16:53:42.000000000 +0000
+++ ncurses-5.9-20140322/package/debian/changelog	2014-03-22 15:46:30.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20140315) unstable; urgency=low
+ncurses6 (5.9-20140322) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 15 Mar 2014 12:53:42 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 22 Mar 2014 11:46:30 -0400
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/debian/rules
--- ncurses-5.9-20140315+/package/debian/rules	2013-03-30 18:58:01.000000000 +0000
+++ ncurses-5.9-20140322/package/debian/rules	2014-03-22 23:04:40.000000000 +0000
@@ -56,6 +56,8 @@
 		--enable-warnings \
 		--enable-widec \
 		--verbose \
+		--with-chtype=uint32_t \
+		--with-mmask_t=uint32_t \
 		--with-develop \
 		--with-shared \
 		--with-termlib \
Index: package/mingw-ncurses.nsi
Prereq:  1.31 
--- ncurses-5.9-20140315+/package/mingw-ncurses.nsi	2014-03-15 16:53:42.000000000 +0000
+++ ncurses-5.9-20140322/package/mingw-ncurses.nsi	2014-03-22 15:46:30.000000000 +0000
@@ -1,4 +1,4 @@
-; $Id: mingw-ncurses.nsi,v 1.31 2014/03/15 16:53:42 tom Exp $
+; $Id: mingw-ncurses.nsi,v 1.32 2014/03/22 15:46:30 tom Exp $
 
 ; TODO add examples
 ; TODO bump ABI to 6
@@ -10,7 +10,7 @@
 !define VERSION_MAJOR "5"
 !define VERSION_MINOR "9"
 !define VERSION_YYYY  "2014"
-!define VERSION_MMDD  "0315"
+!define VERSION_MMDD  "0322"
 !define VERSION_PATCH ${VERSION_YYYY}${VERSION_MMDD}
 
 !define MY_ABI   "5"
Index: package/mingw-ncurses.spec
--- ncurses-5.9-20140315+/package/mingw-ncurses.spec	2014-03-15 16:53:42.000000000 +0000
+++ ncurses-5.9-20140322/package/mingw-ncurses.spec	2014-03-22 15:46:30.000000000 +0000
@@ -3,7 +3,7 @@
 Summary: shared libraries for terminal handling
 Name: mingw32-ncurses6
 Version: 5.9
-Release: 20140315
+Release: 20140322
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.spec
--- ncurses-5.9-20140315+/package/ncurses.spec	2014-03-15 16:53:42.000000000 +0000
+++ ncurses-5.9-20140322/package/ncurses.spec	2014-03-22 23:05:14.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Version: 5.9
-Release: 20140315
+Release: 20140322
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
@@ -50,6 +50,8 @@
 	--enable-warnings \
 	--enable-widec \
 	--verbose \
+	--with-chtype=uint32_t \
+	--with-mmask_t=uint32_t \
 	--with-develop \
 	--with-shared \
 	--with-termlib \
